#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir

	pod2man --section=1 --center=Bib2HTML --name=Bib2HTML man/bib2html_en.pod man/bib2html.1
	gzip man/bib2html.1

	pod2man --section=1 --center=Bib2HTML --name=Bib2HTML man/bib2html_fr.pod man/bib2html.fr.1
	gzip man/bib2html.fr.1

	pod2man --section=1 --center=Bib2XML --name=Bib2XML man/bib2xml_en.pod man/bib2xml.1
	gzip man/bib2xml.1

	pod2man --section=1 --center=Bib2XML --name=Bib2XML man/bib2xml_fr.pod man/bib2xml.fr.1
	gzip man/bib2xml.fr.1

	pod2man --section=1 --center=Bib2XML --name=Bib2XML man/bib2sql_en.pod man/bib2sql.1
	gzip man/bib2sql.1

	pod2man --section=1 --center=Bib2XML --name=Bib2XML man/bib2sql_fr.pod man/bib2sql.fr.1
	gzip man/bib2sql.fr.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f man/bib2html.1*
	rm -f man/bib2html.*.1*

	rm -f man/bib2xml.1*
	rm -f man/bib2xml.*.1*

	rm -f man/bib2sql.1*
	rm -f man/bib2sql.*.1*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	dh_install

	dh_link

	dh_installman

	dh_installdocs

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README
	dh_installdefoma
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean install binary-arch binary-indep binary
